Fatal error for all sites with last Woocommerce Update

Kevin Doussaint
25 Posts
Kevin Doussaint posted this 4 weeks ago

Hi,

Since last Woocommerce Update all my Themler websites are broken on the cart page with this error :

Fatal error: Allowed memory size of 134217728 bytes exhausted (tried to allocate 16384 bytes) in /home/www/babiolesetbricoles/wp-content/themes/MYTHEME/woocommerce/cart/cart-totals-wrapper.php on line 5

I tried to allocate more memory on php.ini or wp-config.php but did not solved the problem wich seems deeper. When I change my theme it solve the problem (wich is not present on my other themes like elementor etc...).

My server limit is 256M

And I got this report :

babiolesbricoles03/woocommerce/archive-product.php version 3.3.0 est obsolète. La version du noyau est 3.4.0,
babiolesbricoles03/woocommerce/cart/cart.php version 3.3.0 est obsolète. La version du noyau est 3.5.0,
babiolesbricoles03/woocommerce/notices/error.php version 3.3.0 est obsolète. La version du noyau est 3.5.0,
babiolesbricoles03/woocommerce/notices/notice.php version 1.6.4 est obsolète. La version du noyau est 3.5.0,
babiolesbricoles03/woocommerce/notices/success.php version 3.3.0 est obsolète. La version du noyau est 3.5.0,

Could you please help me ?

Best regards

Kevin

Hi, Since last Woocommerce Update all my Themler websites are broken on the cart page with this error : Fatal error: Allowed memory size of 134217728 bytes exhausted (tried to allocate 16384 bytes) in /home/www/babiolesetbricoles/wp-content/themes/MYTHEME/woocommerce/cart/cart-totals-wrapper.php on line 5 I tried to allocate more memory on php.ini or wp-config.php but did not solved the problem wich seems deeper. When I change my theme it solve the problem (wich is not present on my other themes like elementor etc...). My server limit is 256M And I got this report : babiolesbricoles03/woocommerce/archive-product.php version 3.3.0 est obsolète. La version du noyau est 3.4.0, babiolesbricoles03/woocommerce/cart/cart.php version 3.3.0 est obsolète. La version du noyau est 3.5.0, babiolesbricoles03/woocommerce/notices/error.php version 3.3.0 est obsolète. La version du noyau est 3.5.0, babiolesbricoles03/woocommerce/notices/notice.php version 1.6.4 est obsolète. La version du noyau est 3.5.0, babiolesbricoles03/woocommerce/notices/success.php version 3.3.0 est obsolète. La version du noyau est 3.5.0, Could you please help me ? Best regards Kevin

Last edited 4 weeks ago by Kevin Doussaint

Vote to pay developers attention to this features or issue.
15 Comments
Order By: Standard | Newest
Administración web
64 Posts
Administración web posted this 4 weeks ago

Lo que yo hice fue Desactivar Woocommerce 3.6.1 e instalé una versión anterior, instalé la versión 3.5.7 y funcionó nuevamente, lo hice en una página de pruebas y creo que no perdí Ninguna información como productos ni nada.

Lo que yo hice fue Desactivar Woocommerce 3.6.1 e instalé una versión anterior, instalé la versión 3.5.7 y funcionó nuevamente, lo hice en una página de pruebas y creo que no perdí Ninguna información como productos ni nada.
Kevin Doussaint
25 Posts
Kevin Doussaint posted this 4 weeks ago

Muchas gracias por el consejo, lo restauré pero no podemos quedarnos así con varios sitios que no actualizamos, ni siquiera tenemos una respuesta de Themler sobre cómo tener en cuenta nuestros mensajes, es una pena.

Muchas gracias por el consejo, lo restauré pero no podemos quedarnos así con varios sitios que no actualizamos, ni siquiera tenemos una respuesta de Themler sobre cómo tener en cuenta nuestros mensajes, es una pena.
Support Team
Support Team posted this 3 weeks ago

Please, try now, the issue with Woocommerce is fixed, it is necessary to update Themler.

Gina
Themler Support

Please, try now, the issue with Woocommerce is fixed, it is necessary to update Themler. Gina Themler Support
Kevin Doussaint
25 Posts
Kevin Doussaint posted this 3 weeks ago

Hi,

Thanks, should we activate beta channel ?

Hi, Thanks, should we activate beta channel ?
Support Team
Support Team posted this 3 weeks ago

It was a beta fix. The theme should "ask" you for an update when you open it in Themler.
If you have any issues with Themler Editor in Chrome, try opening it in Firefox.

Gina
Themler Support

It was a beta fix. The theme should "ask" you for an update when you open it in Themler. If you have any issues with Themler Editor in Chrome, try opening it in Firefox. Gina Themler Support
Kevin Doussaint
25 Posts
Kevin Doussaint posted this 3 weeks ago

Hi Gina,

Thanks it works !

Hi Gina, Thanks it works !
Administración web
64 Posts
Administración web posted this 3 weeks ago

Hola Gina, existe alguna forma de corregir el error para quienes no tenemos una "Suscripción activa" de Themler?

Hola Gina, existe alguna forma de corregir el error para quienes no tenemos una "Suscripción activa" de Themler?
Support Team
Support Team posted this 3 weeks ago

Hello,
Unfortunately, I can't provide exact changes we made to php files, too many changes were made in different files.
In case you don't have active subscription, it is better to stick to previous WooCommrce version that didn't have this issue.

Gina
Themler Support

Hello, Unfortunately, I can't provide exact changes we made to php files, too many changes were made in different files. In case you don't have active subscription, it is better to stick to previous WooCommrce version that didn't have this issue. Gina Themler Support
david33260
4 Posts
david33260 posted this 5 days ago

Hello,
I have the same problem but no update notification appears on themler.

Hello, I have the same problem but no update notification appears on themler.
Kevin Doussaint
25 Posts
Kevin Doussaint posted this 5 days ago

Hi, You have to go in your account on themler.io and activate Beta Channel

Hi, You have to go in your account on themler.io and activate Beta Channel
Support Team
Support Team posted this 5 days ago

Correct. Beta updates come if this Option is active:

get-beta.png

Gina
Themler Support

Correct. Beta updates come if this Option is active: !get-beta.png! Gina Themler Support
david33260
4 Posts
david33260 posted this 5 days ago

Great

Thank you for your quick reply.

Great Thank you for your quick reply.
alleminbe
51 Posts
alleminbe posted this 2 days ago

I have the same problem and did all the steps above its on beta v.481 but the cart page has the same problems its shrinks, how can I fix it?

https://hulkwest.com/cart/

Thanks in advance

I have the same problem and did all the steps above its on beta v.481 but the cart page has the same problems its shrinks, how can I fix it? https://hulkwest.com/cart/ Thanks in advance

Last edited 2 days ago by alleminbe

LGWeb
144 Posts
LGWeb posted this 2 days ago

I have the same problem and did all the steps above its on beta v.481 but the cart page has the same problems its shrinks, how can I fix it?

https://hulkwest.com/cart/

Thanks in advance

Same problem for me.. i submitted the ticket and login to my WP. Please fix asap.

> I have the same problem and did all the steps above its on beta v.481 but the cart page has the same problems its shrinks, how can I fix it? > > https://hulkwest.com/cart/ > > Thanks in advance Same problem for me.. i submitted the ticket and login to my WP. Please fix asap.
engels
33 Posts
engels posted this 22 hours ago

No! v481 isn't the solution.
Beta v481 was to solve an equal error several weeks ago.
Last week there was a new wc update - and same error again!

No! v481 isn't the solution. Beta v481 was to solve an equal error several weeks ago. Last week there was a new wc update - and same error again!
You must log in or register to leave comments